package com.sifang.modules.partner.utils;

public class HuaRongCustomer {

    //关联查询请求时传的对接方项目编号
    private String reqContNumber;
    /**
     * 进件状态
     * NS:数据不存在
     * RJ:拒绝
     * JD：建档完成
     * FR：建档审核中
     * FS：建档待补充资料
     * JT：建档审核提交完成
     * FA：建档审核通过
     * FT:一次进件完成（建档审核通过通过）
     * ST:二次进件完成
     * DS:待补充资料
     * MR:人工审核中
     * CS:确认单已生成（初始化通过）
     * PR:审批通过
     * LS:已完成放款
     * CL: 废止
     */
    private String projectStatus;

    //进件详情
    private String projectStatusDetails;

    //拒绝原因或资料补充说明
    private String returnReason;
    //合同编号
    private String contNumber;

    // 当前缺少附件  返回附件码值，缺少多个的情况以,隔开
    private String fileCode;

    /**
     * 进件模式
     * 1：项目公司模式
     * 0：农户模式
     * 2：合作共建模式
     */
    private String isProjectCompanyModel;

    //项目公司公司与华融签订的经营性租赁合同编号
    private String projectCompanyLeaseCode;

    public String getReqContNumber() {
        return reqContNumber;
    }

    public void setReqContNumber(String reqContNumber) {
        this.reqContNumber = reqContNumber;
    }

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public String getProjectStatusDetails() {
        return projectStatusDetails;
    }

    public void setProjectStatusDetails(String projectStatusDetails) {
        this.projectStatusDetails = projectStatusDetails;
    }

    public String getReturnReason() {
        return returnReason;
    }

    public void setReturnReason(String returnReason) {
        this.returnReason = returnReason;
    }

    public String getContNumber() {
        return contNumber;
    }

    public void setContNumber(String contNumber) {
        this.contNumber = contNumber;
    }

    public String getFileCode() {
        return fileCode;
    }

    public void setFileCode(String fileCode) {
        this.fileCode = fileCode;
    }

    public String getIsProjectCompanyModel() {
        return isProjectCompanyModel;
    }

    public void setIsProjectCompanyModel(String isProjectCompanyModel) {
        this.isProjectCompanyModel = isProjectCompanyModel;
    }

    public String getProjectCompanyLeaseCode() {
        return projectCompanyLeaseCode;
    }

    public void setProjectCompanyLeaseCode(String projectCompanyLeaseCode) {
        this.projectCompanyLeaseCode = projectCompanyLeaseCode;
    }
}
